/*! bxs-vue-ui v3.3.0 */
'use strict';

var entryVirtual = require('./entry-virtual.js');
var stringTrim = require('./string-trim.js');

var trim = stringTrim.require$$0.trim;


var nativeParseFloat = entryVirtual.global.parseFloat;
var FORCED = 1 / nativeParseFloat(stringTrim.whitespaces + '-0') !== -Infinity;

// `parseFloat` method
// https://tc39.github.io/ecma262/#sec-parsefloat-string
var _parseFloat = FORCED ? function parseFloat(string) {
  var trimmedString = trim(String(string));
  var result = nativeParseFloat(trimmedString);
  return result === 0 && trimmedString.charAt(0) == '-' ? -0 : result;
} : nativeParseFloat;

// `parseFloat` method
// https://tc39.github.io/ecma262/#sec-parsefloat-string
entryVirtual.$({ global: true, forced: parseFloat != _parseFloat }, {
  parseFloat: _parseFloat
});

var _parseFloat$1 = entryVirtual.path.parseFloat;

var _parseFloat$2 = _parseFloat$1;

var _parseFloat$3 = _parseFloat$2;

exports._parseFloat = _parseFloat$3;
